Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.1.1 »
- erfa Package »
- s2pv

# s2pv

erfa.s2pv(theta, phi, r, td, pd, rd)

  Convert position/velocity from spherical to Cartesian coordinates.

  Parameters:
    theta double array
    phi double array
    r double array
    td double array
    pd double array
    rd double array
  Returns:
    pv double array

  Notes

  Wraps ERFA function `eraS2pv`. The ERFA documentation is:

      - - - - - - - -
       e r a S 2 p v
      - - - - - - - -

      Convert position/velocity from spherical to Cartesian coordinates.

      Given:
         theta    double          longitude angle (radians)
         phi      double          latitude angle (radians)
         r        double          radial distance
         td       double          rate of change of theta
         pd       double          rate of change of phi
         rd       double          rate of change of r

      Returned:
         pv       double[2][3]    pv-vector

      This revision:  2021 May 11

      Copyright (C) 2013-2023, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.